﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using System.IO;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.Net.Http.Headers;
using System.ComponentModel.DataAnnotations;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        List<Languages> language = new List<Languages>();
        public IActionResult Index()
        { 
            language.Add(new Languages { text = "ActionScript" });
            language.Add(new Languages { text = "AppleScript" });
            language.Add(new Languages { text = "Asp" });
            language.Add(new Languages { text = "BASIC" });
            language.Add(new Languages { text = "C" });
            language.Add(new Languages { text = "C++" });
            language.Add(new Languages { text = "Clojure" });
            language.Add(new Languages { text = "COBOL" });
            language.Add(new Languages { text = "ColdFusion" });
            language.Add(new Languages { text = "Erlang" });
            language.Add(new Languages { text = "Fortran" });
            language.Add(new Languages { text = "Groovy" });
            language.Add(new Languages { text = "Haskell" });
            language.Add(new Languages { text = "Java" });
            language.Add(new Languages { text = "JavaScript" });
            language.Add(new Languages { text = "Lisp" });
            language.Add(new Languages { text = "Perl" });
            language.Add(new Languages { text = "PHP" });
            language.Add(new Languages { text = "Python" });
            language.Add(new Languages { text = "Ruby" });
            language.Add(new Languages { text = "Scala" });
            language.Add(new Languages { text = "Scheme" });
            ViewBag.datasource = language;
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
        
    }

    public class Languages
    {
        public string text { get;  set; }
    }
    
}
